package com.gingersoft.gsa.cloud.table.app.payment.bean;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019/7/16
 * 修订历史：2019/7/16
 * 描述：
 */
public class AdjustTipRespose {


    /**
     * EVENT_NAME : ADJUST_RESP
     * STATUS : 00
     * PAYMENT_TYPE : VC
     * RESP_CODE : C1000
     * TIPS : -56
     * HOST_REF : 729706000007
     * TXN_TIME : 171053
     * TXN_DATE : 20190725
     * TXN_ID : PAY201907251706431518
     * TXN_AMT : 58
     */

    private String EVENT_NAME;
    private String STATUS;
    private String PAYMENT_TYPE;
    private String RESP_CODE;
    private double TIPS;
    private String HOST_REF;
    private String TXN_TIME;
    private String TXN_DATE;
    private String TXN_ID;
    private double TXN_AMT;

    public String getEVENT_NAME() {
        return EVENT_NAME;
    }

    public void setEVENT_NAME(String EVENT_NAME) {
        this.EVENT_NAME = EVENT_NAME;
    }

    public String getSTATUS() {
        return STATUS;
    }

    public void setSTATUS(String STATUS) {
        this.STATUS = STATUS;
    }

    public String getPAYMENT_TYPE() {
        return PAYMENT_TYPE;
    }

    public void setPAYMENT_TYPE(String PAYMENT_TYPE) {
        this.PAYMENT_TYPE = PAYMENT_TYPE;
    }

    public String getRESP_CODE() {
        return RESP_CODE;
    }

    public void setRESP_CODE(String RESP_CODE) {
        this.RESP_CODE = RESP_CODE;
    }

    public double getTIPS() {
        return TIPS;
    }

    public void setTIPS(double TIPS) {
        this.TIPS = TIPS;
    }

    public String getHOST_REF() {
        return HOST_REF;
    }

    public void setHOST_REF(String HOST_REF) {
        this.HOST_REF = HOST_REF;
    }

    public String getTXN_TIME() {
        return TXN_TIME;
    }

    public void setTXN_TIME(String TXN_TIME) {
        this.TXN_TIME = TXN_TIME;
    }

    public String getTXN_DATE() {
        return TXN_DATE;
    }

    public void setTXN_DATE(String TXN_DATE) {
        this.TXN_DATE = TXN_DATE;
    }

    public String getTXN_ID() {
        return TXN_ID;
    }

    public void setTXN_ID(String TXN_ID) {
        this.TXN_ID = TXN_ID;
    }

    public double getTXN_AMT() {
        return TXN_AMT;
    }

    public void setTXN_AMT(double TXN_AMT) {
        this.TXN_AMT = TXN_AMT;
    }

    @Override
    public String toString() {
        return "AdjustTipRespose{" +
                "EVENT_NAME='" + EVENT_NAME + '\'' +
                ", STATUS='" + STATUS + '\'' +
                ", PAYMENT_TYPE='" + PAYMENT_TYPE + '\'' +
                ", RESP_CODE='" + RESP_CODE + '\'' +
                ", TIPS=" + TIPS +
                ", HOST_REF='" + HOST_REF + '\'' +
                ", TXN_TIME='" + TXN_TIME + '\'' +
                ", TXN_DATE='" + TXN_DATE + '\'' +
                ", TXN_ID='" + TXN_ID + '\'' +
                ", TXN_AMT=" + TXN_AMT +
                '}';
    }
}
